Bug 1728373 (python-glymur)

Summary: Review Request: python-glymur - Glymur is a Python interface for JPEG 2000
Product: [Fedora] Fedora Reporter: Luis Segundo <luis>
Component: Package ReviewAssignee: Tomas Korbar <tkorbar>
Status: ASSIGNED --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, sanjay.ankur, tkorbar
Target Milestone: ---Flags: tkorbar: needinfo? (luis)
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1276941    

Description Luis Segundo 2019-07-09 19:36:42 UTC
Spec URL: https://blackfile.fedorapeople.org/glymur/python-glymur.spec
SRPM URL: https://blackfile.fedorapeople.org/glymur/python-glymur-0.8.18-1.fc30.src.rpm

Description: Glymur is an interface to the OpenJPEG library which allows one to read and write JPEG 2000 files from Python. Glymur supports both reading and writing of JPEG 2000 images, but writing JPEG 2000 images is currently limited to images that can fit in memory. Glymur can read images using OpenJPEG library versions as far back as 1.3, but it is strongly recommended to use at least version 2.1.2.

Fedora Account System Username:blackfile

Comment 1 Tomas Korbar 2019-07-10 12:31:14 UTC
Hi Luis,
I will take this package review.
First issue with this package is that it fails to build in rawhide (see [0]).
[0] https://koji.fedoraproject.org/koji/taskinfo?taskID=36166641

Comment 2 Luis Segundo 2019-07-10 13:27:27 UTC
Thanks Tomás, I'm going to check

Comment 4 Tomas Korbar 2019-07-11 09:37:23 UTC
Great! Now the review.
---------
 16 BuildRequires:  python3-devel
 17 BuildRequires:  python3dist(numpy) >= 1.7.1
 18 BuildRequires:  python3dist(setuptools)
 19 BuildRequires:  python3dist(sphinx)
 20 BuildRequires:  python3dist(numpydoc)
 21 BuildRequires:  python3-sphinx_rtd_theme
^^^ You should remove these build requirements for the unversioned python package. They are not needed.
Look at example on python packaging guidelines at [0].
---------
 24 %global debug_package %{nil}
^^^ Please remove this too. It is obsolete for python package.
---------
 29 %package -n     python3-%{pypi_name}
 30 Summary:        %{summary}
 31 %{?python_provide:%python_provide python3-%{pypi_name}}
 32 
 33 Requires:       python3dist(numpy) >= 1.7.1
 34 Requires:       python3dist(setuptools)
^^^ Please list all build and runtime requirements here.
---------
The upstream has working tests so run them in %check phase.
I tried them so i can give you an advice.
+%check
+touch tests/data/__init__.py
+%{__python3} -m unittest discover

I had to create __init__.py to prevent FileNotFoundError.
Maybe you will find some better way but if you will not then contact please upstream and discuss a solution of this with them.
---------
 64 %{python3_sitelib}/*-py?.?.egg-info
^^^ At last but not least please change this regex to something more accurate.
%{python3_sitelib}/Glymur-%{version}-py?.?.egg-info
Something like this ^. Just to be sure that nothing unexpected will happen.